/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.BonReceptionFrs;

import javafx.beans.property.SimpleStringProperty;

/**
 *
 * @author Maher
 */
public class BonReceptionProduitList {
    
    private final SimpleStringProperty IdAchat;
    private final SimpleStringProperty IdBonReception;
    private final SimpleStringProperty Reference;
    private final SimpleStringProperty Designation;
    private final SimpleStringProperty Quantite;
    private final SimpleStringProperty PrixUnitaireHorsTaxe;
    private final SimpleStringProperty PrixUnitaireHorsTaxenNet;
    private final SimpleStringProperty Tva;
    private final SimpleStringProperty Montant;
    
    public BonReceptionProduitList(String id_achat, String id_bon_reception, String reference, String designation,String quantite, String p_u_h_t, String p_u_h_t_net, String tva, String montant)
    {
        this.IdAchat = new SimpleStringProperty(id_achat);
        this.IdBonReception = new SimpleStringProperty(id_bon_reception);
        this.Reference = new SimpleStringProperty(reference);
        this.Designation = new SimpleStringProperty(designation);
        this.Quantite = new SimpleStringProperty(quantite);
        this.PrixUnitaireHorsTaxe = new SimpleStringProperty(p_u_h_t);
        this.PrixUnitaireHorsTaxenNet = new SimpleStringProperty(p_u_h_t_net);
        this.Tva = new SimpleStringProperty(tva);
        this.Montant = new SimpleStringProperty(montant);
    }
    
    public String getIdAchat() {
        return IdAchat.get();
    }
    
    public String getIdBonReception() {
        return IdBonReception.get();
    }
    
    public String getReference() {
        return Reference.get();
    }
    
    public String getDesignation() {
        return Designation.get();
    }
    
    public String getQuantite() {
        return Quantite.get();
    }
    
    public String getPrixUnitaireHorsTaxe() {
        return PrixUnitaireHorsTaxe.get();
    }
    
    public String getPrixUnitaireHorsTaxenNet() {
        return PrixUnitaireHorsTaxenNet.get();
    }
    
    public String getTva() {
        return Tva.get();
    }
    
    public String getMontant() {
        return Montant.get();
    }
}
